package com.company.testsuggfield.entity;

import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.*;

@Table(name = "TESTSUGGFIELD_ORDER")
@Entity(name = "testsuggfield_Order")
public class Order extends StandardEntity {
    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "CUSTOMER1_ID")
    protected Customer customer1;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "CUSTOMER2_ID")
    protected Customer customer2;

    public Customer getCustomer2() { return customer2; }

    public void setCustomer2(Customer customer2) { this.customer2 = customer2; }

    public Customer getCustomer1() { return customer1; }

    public void setCustomer1(Customer customer1) { this.customer1 = customer1; }
}